<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>
<body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                <div class="container">
                  <a class="navbar-brand" href="{% url 'filme_busca' %}">Movie search</a>
                </div>
        </nav>  


        <div class="container">
                <div class="row">            
                {% for filme in filmes %}
                <a class="custom-card" data-toggle="modal" data-target="#exampleModal{{ filme.imdbID }}" href="">
                <div class="card" style="width: 14rem;">
                        <img src="{{ filme.Poster }}" class="card-img-top" alt="...">
                        <div class="card-body">
                          <h5 class="card-title">{{ filme.Title }}
                            </h5>
                        </div>
                      </div>
                </a>
                      
      <!-- Modal -->
      <div class="modal fade" id="exampleModal{{ filme.imdbID }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">{{ filme.Title }}</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>

                <div class="card" style="width: 100%;">
                    <img src="{{ filme.Poster }}" class="card-img-top" alt="...">
                    <div class="card-body">
                      <p class="card-text">{{ filme.data.Plot }}</p>
                    </div>
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><strong>Nota: </strong>{{ filme.data.imdbRating }}</li>
                      <li class="list-group-item"><strong>Ano: </strong>{{ filme.data.Year }}</li>
                      <li class="list-group-item"><strong>Prêmios: </strong>{{ filme.data.Awards }}</li>
                    </ul>
                  </div>

                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
              </div>
            </div>
          </div>
    
          {% endfor %}     
            </div>
        </div>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>
</html>

